#include <iostream>
#include <fstream>
#include <iomanip>
#include <cmath>

using namespace std;

int main()
{ ifstream f("tamgiac.inp");
int c,b;
f>>c>>b;
f.close();
ofstream f1("tamgiac.out");
double a;
a=c*c-b*b;


f1.setf (ios::fixed);

f1.precision(2);
f1<<sqrt(a);
f1.close();
return 0;
}
